import type { EditorState, Extension, Transaction } from "@uiw/react-codemirror";
import * as Lib from "../../../../../metabase-lib";
export declare function useExtensions(query: Lib.Query): Extension[];
export declare function insertIndent({ state, dispatch, }: {
    state: EditorState;
    dispatch: (tr: Transaction) => void;
}): boolean;
